Fatal error: Cannot redeclare pclziputilpathreduction

So I decided to do what all the cool kids are doing these days, and upgrade to WordPress 2.7.1. Thing is, when I tried, I got as far as getting the upgrade zip, then I get this nasty little bastard on my screen:

Fatal error: Cannot redeclare pclziputilpathreduction

After poking around on google a bit, I found the solution. Seems that the WordPress Automatic Upgrade plugin was causing the actual attempt at an automatic upgrade to die. Maybe the new WordPress upgrade was making faces at the plugin, so said plugin decided to make life more difficult for all of us involved. In any case, all you have to do is disable WordPress Automatic Upgrade, and WordPress 2.7.1 upgrades quite happily. Which also means that now the whole automatic upgrade dealio is packaged with WordPress, rather then being a separate plugin. Works for me!

Leave a Reply